' --- RelaisWait.VBS : Demoprogramm fr die Positionierung mit WaitForChange ---
'     Erforderlich : FishFa30.DLL und umFish30.DLL (in vbFish30Setup.EXE)
'                                                                Ulrich Mller  5.2.03
'                                                                PCS1700      VBScript
'
'     Motor           an M1
'     RelaisZhler    an M2
'     Lampe           an M3
'     Phototransistor an E1
'     Ende            ESC-Taste


Option Explicit
Dim ft
Const ftiEin = 1, ftiAus = 0, ftiLinks = 1, ftiRechts = 2
Const mMotor = 1, mZahler = 2, mLampe = 3, ePhoto = 1

Set ft = CreateObject("FishFa30.FishFace")
ft.OpenInterface("COM1")
MsgBox "Modellbetrieb gestartet (Ende ESC)"

ft.SetMotor mLampe, ftiEin
Do
  ft.SetMotor mMotor,  ftiLinks
  ft.SetMotor mZahler, ftiEin 
  ft.WaitForChange ePhoto, 6
  ft.SetMotor mMotor,  ftiRechts
  ft.SetMotor mZahler, ftiAus
  ft.WaitForChange ePhoto, 12
Loop Until ft.Finish

ft.CloseInterface
MsgBox "Modellbetrieb beendet"