program RelaisWait;
// --- RelaisWait.DPR : Demoprogramm fr WaitForChange -------------
//                                                       Ulrich Mller 6.2.03
//                                                       PCS1700      Delphi4
//     Erforderlich : FishFa30.PAS (in delphiFish30Setup.EXE)
//
//     Achtung : in Men Projekt | Optionen | Linker |
//               TextBildschirmanwendung markieren
//
// Motor           an M1
// Zhlwerk        an M2
// Lampe           an M3
// Photowiderstand an E1 (oder Phototransistor)
// Ende            ESC-Taste

uses SysUtils, FishFa30;
const
  mMotor = 1; mZahler = 2; mLampe = 3; ePhoto = 1;
var
  ft: TFishFace; Zahler: Cardinal = 0;
begin
  ft := TFishFace.Create(false,    // --- ohne AnalogScan
                         false);   //     kein Slave
  try
    ft.OpenInterface('COM1');
  except
    on e: EFishFace do begin
      WriteLn('poorFish : InterfaceProblem'); ReadLn; exit;
      end;
  end;
  WriteLn('poorFish30 gestartet');
  ft.SetMotor(mLampe, ftiEin);
  repeat
    Zahler := Zahler + 1;
    WriteLn('Runde : ' + IntToStr(Zahler));
    ft.SetMotor(mMotor, ftiLeft);
    ft.SetMotor(mZahler, ftiEin);
    ft.WaitForChange(ePhoto, 6);
    ft.SetMotor(mMotor, ftiRight);
    ft.SetMotor(mZahler, ftiAus);
    ft.WaitForChange(ePhoto, 12);
  until ft.Finish;               // --- Programmende : Escape-Taste
  ft.CloseInterface;
  ft.Free;
  WriteLn('poorFish20 beendet'); ReadLn;
end.
