program RelaisZaehler;
// --- RelaisZaehler.DPR : Demoprogramm fr das Zhlwerk 30 242 -------------
//                                                       Ulrich Mller 6.2.03
//                                                       PCS1700      Delphi4
//     Erforderlich : FishFa30.PAS (in delphiFish30Setup.EXE)
//
//     Achtung : in Men Projekt | Optionen | Linker |
//               TextBildschirmanwendung markieren
//
// Motor           an M1
// Zhlwerk        an M2
// Lampe           an M3
// Photowiderstand an E1 (oder Phototransistor)
// Ende            ESC-Taste

uses FishFa30;
const
  mMotor = 1; mZahler = 2; mLampe = 3; ePhoto = 1;
var
  ft: TFishFace;
begin
  ft := TFishFace.Create(false,    // --- ohne AnalogScan
                         false);   //     kein Slave
  try
    ft.OpenInterface('COM1');
  except
    on e: EFishFace do begin
      WriteLn('poorFish : InterfaceProblem'); ReadLn; exit;
      end;
  end;
  WriteLn('poorFish30 gestartet');
  ft.SetMotor(mLampe, ftiEin);
  ft.SetMotor(mMotor, ftiEin);
  repeat
    if ft.GetInput(ePhoto) then begin
      ft.SetMotor(mZahler, ftiEin);
      ft.Pause(1000);
      ft.SetMotor(mZahler, ftiAus);
    end;
  until ft.Finish;               // --- Programmende : Escape-Taste
  ft.CloseInterface;
  ft.Free;
  WriteLn('poorFish20 beendet'); ReadLn;
end.
